Subject: Re: Snapshot and CD compatibility problems
From: Steve Jorgensen <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Thu, 28 Oct 1999 11:10:43 -0600 (MDT)

Chris Faylor wrote
>> >Steve's problem with the NTSEC is simple.  He's modifying the CYGWIN
>> >variable from with bash.  To have this work you must set the NONTSEC
>> >_before_ starting bash (or any other cygwin program).  Once started you
>> >can't change it without closing all cygwin instances.
>> 
>> Aha!  Thanks.  That explains things.  It also uncovers something that we
>> should try to work around in the DLL.
>> 
>> Good detective work, Earnie.

	Good guess, but this isn't the problem, I created a cygwin.bat
	file which sets up my environment (including the CYGWIN variable)
	before starting my shell.

	I final did figure out the problem, and Earnie was correct, my
	CYGWIN variable was not being set correct.  In my batch file, I setting
	the CYGWIN variable in my batch file according to an example
	in the 1.0 manual, and it looked like:

SET CYGWIN="nontsec tty notitle binmode"

	However, when I got rid of the quotes:

SET CYGWIN=nontsec tty notitle binmode

	it started working as expected again.  So I'm guessing that
	the quotes made it one big string to the dll instead of
	four different strings.. :)

	Anyway, you guys might want to fix you're manual, as I'm sure
	I'm not the only one that will get confused over that example..

	Thanks for all the help.

						Steve
>> 
>> >--- Chris Faylor <[email-masked]> wrote:
>> >> I've forwarded your experiences to Corinna Vinschen.  She's the author
>> >> of the NTSEC code.  She'll be back from vacation in a week or so and
>> >> maybe she'll have some insight here.
>> >> 
>> >> On Wed, Oct 27, 1999 at 02:47:17PM -0600, Steve Jorgensen wrote:
>> >> >Ok, here's what I'm seeing.  With the CD dll, I get the following on an
>> >> >ls -l on a file created by this dll:
>> >> >
>> >> >	% ls -l Toolboxes
>> >> >	-rw-rw-rw-   1 adminstr None	854 Oct 27 13:33 Toolboxes
>> >> >[snip]
>> 

-- 
-----------------------------------------------------------
Steven Jorgensen      [email-masked]	    [email-masked]
------------------------------+----------------------------
Khoral Research Inc.          | PHONE: (505) 837-6500
6200 Uptown Blvd, Suite 200   | FAX:   (505) 881-3842
Albuquerque, NM 87110         | URL: http://www.khoral.com/
-----------------------------------------------------------

--
Want to unsubscribe from this list?
Send a message to [email-masked]